package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.vo.SystemRoleVo;
import com.muchinfo.mtp3century.utils.AjaxResult;

import javax.servlet.http.HttpServletRequest;

public interface ISystemRoleService {
    AjaxResult dealRoleMenus(SystemRoleVo systemRoleVo, HttpServletRequest request);

    AjaxResult deleteRoleMenus(SystemRoleVo systemRoleVo, HttpServletRequest request);

    PageResult<SystemRoleVo> query(Integer type, Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult<SystemRoleVo> queryDetail(Integer autoId, HttpServletRequest request);

    AjaxResult<SystemRoleVo> queryByAdd(HttpServletRequest httpServletRequest);
}
